Attribute a deposit

Permissions required: Deposit Attribution.

Attribute a deposit by providing information about the originator.

Only attributions in PENDING status can be attributed.

Once the attribution is successfully performed the attribution status moves from PENDING to UNDER_REVIEW.

For attributions performed via API the attributionType will always be CLIENT_API.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
^[0-9A-Fa-f]+$

The transactionId where the transactionType is DEPOSIT.

Body Params
string

Additional notes for the deposit attribution.

string
required
length between 2 and 2

The country code (ISO 3166-1 alpha-2) of the originator of this deposit. This field is required in order to perform an attribution.

string
required
length ≥ 1

The name of the originator of this deposit. This field is required in order to perform an attribution.

string
enum
required
length ≥ 1

The type of wallet being used by the deposit originator:

  • CUSTODIAL - The wallet owner does not have complete control over the wallet as they do not have the private key; a third party does. This key is needed to conduct transfers. Examples of custodial wallets include: Binance, Coinbase, Kraken, and Bitgo.
  • SELF_HOSTED - The wallet owner has complete control over the wallet as they have the private key. Examples of self-hosted wallets include: Metamask, Trust Wallet, Ledger Nano X, Trezor One, Electrum, Exodus, and Phantom.

This field is required in order to perform an attribution.

Allowed:
Headers
string
required
^[0-9A-Fa-f]{128,160}$

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

toHex(
  ed25519Sign(
    signing_key,
    '{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
  )
)
int64
required

Current timestamp, represented as unix epoch seconds

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json